"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Checkbox = require("@patternfly/react-core/dist/js/components/Checkbox/Checkbox.js");

var _multipleChoiceList = _interopRequireWildcard(require("@data-driven-forms/common/multiple-choice-list"));

var _formGroup = _interopRequireDefault(require("../form-group/form-group"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2["default"])(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

var FinalCheckbox = function FinalCheckbox(props) {
  return /*#__PURE__*/_react["default"].createElement(_Checkbox.Checkbox, (0, _extends2["default"])({
    isChecked: props.checked
  }, props, {
    onChange: function onChange(_value, e) {
      return props.onChange(e);
    }
  }));
};

FinalCheckbox.propTypes = {
  checked: _propTypes["default"].bool,
  onChange: _propTypes["default"].func.isRequired
};

var Wrapper = function Wrapper(_ref) {
  var meta = _ref.meta,
      children = _ref.children,
      rest = (0, _objectWithoutProperties2["default"])(_ref, ["meta", "children"]);
  return /*#__PURE__*/_react["default"].createElement(_formGroup["default"], (0, _extends2["default"])({}, rest, {
    id: rest.name || rest.id,
    meta: meta
  }), children);
};

Wrapper.propTypes = _objectSpread({}, _multipleChoiceList.wrapperProps);

var MultipleChoiceList = function MultipleChoiceList(props) {
  return /*#__PURE__*/_react["default"].createElement(_multipleChoiceList["default"], (0, _extends2["default"])({}, props, {
    Wrapper: Wrapper,
    Checkbox: FinalCheckbox
  }));
};

var _default = MultipleChoiceList;
exports["default"] = _default;