"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.rawComponents = exports.components = exports["default"] = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _componentTypes = _interopRequireDefault(require("@data-driven-forms/react-form-renderer/component-types"));

var _tabs = _interopRequireDefault(require("../tabs"));

var _subForm = _interopRequireDefault(require("../sub-form"));

var _wizard = _interopRequireDefault(require("../wizard"));

var _select = _interopRequireDefault(require("../select"));

var _select2 = _interopRequireDefault(require("../select/select/select"));

var _fieldArray = _interopRequireDefault(require("../field-array"));

var _textField = _interopRequireDefault(require("../text-field"));

var _textarea = _interopRequireDefault(require("../textarea"));

var _checkbox = _interopRequireDefault(require("../checkbox"));

var _radio = _interopRequireDefault(require("../radio"));

var _datePicker = _interopRequireDefault(require("../date-picker"));

var _timePicker = _interopRequireDefault(require("../time-picker"));

var _switch = _interopRequireDefault(require("../switch"));

var _plainText = _interopRequireDefault(require("../plain-text"));

var _dualListSelect = _interopRequireDefault(require("../dual-list-select"));

var _slider = _interopRequireDefault(require("../slider"));

var _mapper;

var mapper = (_mapper = {}, (0, _defineProperty2["default"])(_mapper, _componentTypes["default"].TEXT_FIELD, _textField["default"]), (0, _defineProperty2["default"])(_mapper, _componentTypes["default"].TEXTAREA, _textarea["default"]), (0, _defineProperty2["default"])(_mapper, _componentTypes["default"].SELECT, _select["default"]), (0, _defineProperty2["default"])(_mapper, _componentTypes["default"].CHECKBOX, _checkbox["default"]), (0, _defineProperty2["default"])(_mapper, _componentTypes["default"].SUB_FORM, _subForm["default"]), (0, _defineProperty2["default"])(_mapper, _componentTypes["default"].RADIO, _radio["default"]), (0, _defineProperty2["default"])(_mapper, _componentTypes["default"].TABS, _tabs["default"]), (0, _defineProperty2["default"])(_mapper, _componentTypes["default"].DATE_PICKER, _datePicker["default"]), (0, _defineProperty2["default"])(_mapper, _componentTypes["default"].TIME_PICKER, _timePicker["default"]), (0, _defineProperty2["default"])(_mapper, _componentTypes["default"].WIZARD, _wizard["default"]), (0, _defineProperty2["default"])(_mapper, _componentTypes["default"].SWITCH, _switch["default"]), (0, _defineProperty2["default"])(_mapper, _componentTypes["default"].PLAIN_TEXT, _plainText["default"]), (0, _defineProperty2["default"])(_mapper, _componentTypes["default"].FIELD_ARRAY, _fieldArray["default"]), (0, _defineProperty2["default"])(_mapper, _componentTypes["default"].DUAL_LIST_SELECT, _dualListSelect["default"]), (0, _defineProperty2["default"])(_mapper, _componentTypes["default"].SLIDER, _slider["default"]), _mapper);
var _default = mapper;
exports["default"] = _default;
var components = {
  TextField: _textField["default"],
  Textarea: _textarea["default"],
  Checkbox: _checkbox["default"],
  Radio: _radio["default"],
  Select: _select["default"],
  DatePicker: _datePicker["default"],
  TimePicker: _timePicker["default"],
  Switch: _switch["default"],
  PlainText: _plainText["default"],
  DualListSelect: _dualListSelect["default"],
  Slider: _slider["default"]
};
exports.components = components;
var rawComponents = {
  RawSelect: _select2["default"]
};
exports.rawComponents = rawComponents;