"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Button = require("@patternfly/react-core/dist/js/components/Button/Button.js");

var _pficonSortCommonAscIcon = _interopRequireDefault(require("@patternfly/react-icons/dist/js/icons/pficon-sort-common-asc-icon"));

var _pficonSortCommonDescIcon = _interopRequireDefault(require("@patternfly/react-icons/dist/js/icons/pficon-sort-common-desc-icon"));

var _dualListContext = _interopRequireDefault(require("../dual-list-context"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2["default"])(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

var DualListSortButton = function DualListSortButton(_ref) {
  var position = _ref.position,
      rest = (0, _objectWithoutProperties2["default"])(_ref, ["position"]);

  var _useContext = (0, _react.useContext)(_dualListContext["default"]),
      sortConfig = _useContext.sortConfig,
      setSortConfig = _useContext.setSortConfig;

  return /*#__PURE__*/_react["default"].createElement(_Button.Button, (0, _extends2["default"])({
    variant: _Button.ButtonVariant.plain,
    onClick: sortConfig[position] === 'asc' ? function () {
      return setSortConfig(_objectSpread(_objectSpread({}, sortConfig), {}, (0, _defineProperty2["default"])({}, position, 'desc')));
    } : function () {
      return setSortConfig(_objectSpread(_objectSpread({}, sortConfig), {}, (0, _defineProperty2["default"])({}, position, 'asc')));
    },
    "aria-label": "Sort"
  }, rest), sortConfig[position] === 'asc' ? /*#__PURE__*/_react["default"].createElement(_pficonSortCommonAscIcon["default"], null) : /*#__PURE__*/_react["default"].createElement(_pficonSortCommonDescIcon["default"], null));
};

DualListSortButton.propTypes = {
  position: _propTypes["default"].oneOf(['left', 'right'])
};
var _default = DualListSortButton;
exports["default"] = _default;