import _defineProperty from "@babel/runtime/helpers/defineProperty";

var _mapper;

import componentTypes from "@data-driven-forms/react-form-renderer/component-types";
import Tabs from '../tabs';
import SubForm from '../sub-form';
import Wizard from '../wizard';
import Select from '../select';
import RawSelect from '../select/select/select';
import FieldArray from '../field-array';
import TextField from '../text-field';
import Textarea from '../textarea';
import Checkbox from '../checkbox';
import Radio from '../radio';
import DatePicker from '../date-picker';
import TimePicker from '../time-picker';
import Switch from '../switch';
import PlainText from '../plain-text';
import DualListSelect from '../dual-list-select';
import Slider from '../slider';
var mapper = (_mapper = {}, _defineProperty(_mapper, componentTypes.TEXT_FIELD, TextField), _defineProperty(_mapper, componentTypes.TEXTAREA, Textarea), _defineProperty(_mapper, componentTypes.SELECT, Select), _defineProperty(_mapper, componentTypes.CHECKBOX, Checkbox), _defineProperty(_mapper, componentTypes.SUB_FORM, SubForm), _defineProperty(_mapper, componentTypes.RADIO, Radio), _defineProperty(_mapper, componentTypes.TABS, Tabs), _defineProperty(_mapper, componentTypes.DATE_PICKER, DatePicker), _defineProperty(_mapper, componentTypes.TIME_PICKER, TimePicker), _defineProperty(_mapper, componentTypes.WIZARD, Wizard), _defineProperty(_mapper, componentTypes.SWITCH, Switch), _defineProperty(_mapper, componentTypes.PLAIN_TEXT, PlainText), _defineProperty(_mapper, componentTypes.FIELD_ARRAY, FieldArray), _defineProperty(_mapper, componentTypes.DUAL_LIST_SELECT, DualListSelect), _defineProperty(_mapper, componentTypes.SLIDER, Slider), _mapper);
export default mapper;
export var components = {
  TextField: TextField,
  Textarea: Textarea,
  Checkbox: Checkbox,
  Radio: Radio,
  Select: Select,
  DatePicker: DatePicker,
  TimePicker: TimePicker,
  Switch: Switch,
  PlainText: PlainText,
  DualListSelect: DualListSelect,
  Slider: Slider
};
export var rawComponents = {
  RawSelect: RawSelect
};