import React from 'react';
import PropTypes from 'prop-types';

var EmptyOptions = function EmptyOptions(_ref) {
  var noOptionsMessage = _ref.noOptionsMessage,
      noResultsMessage = _ref.noResultsMessage,
      getInputProps = _ref.getInputProps,
      isSearchable = _ref.isSearchable,
      isFetching = _ref.isFetching;

  var _getInputProps = getInputProps(),
      value = _getInputProps.value;

  var message = isFetching ? noOptionsMessage() : isSearchable && value ? noResultsMessage : noOptionsMessage();
  return /*#__PURE__*/React.createElement("div", {
    className: "pf-c-select__menu-item pf-m-disabled"
  }, message);
};

EmptyOptions.propTypes = {
  noOptionsMessage: PropTypes.func.isRequired,
  noResultsMessage: PropTypes.node.isRequired,
  getInputProps: PropTypes.func.isRequired,
  isSearchable: PropTypes.bool,
  isFetching: PropTypes.bool
};
export default EmptyOptions;