"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var EmptyOptions = function EmptyOptions(_ref) {
  var noOptionsMessage = _ref.noOptionsMessage,
      noResultsMessage = _ref.noResultsMessage,
      getInputProps = _ref.getInputProps,
      isSearchable = _ref.isSearchable,
      isFetching = _ref.isFetching;

  var _getInputProps = getInputProps(),
      value = _getInputProps.value;

  var message = isFetching ? noOptionsMessage() : isSearchable && value ? noResultsMessage : noOptionsMessage();
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "pf-c-select__menu-item pf-m-disabled"
  }, message);
};

EmptyOptions.propTypes = {
  noOptionsMessage: _propTypes["default"].func.isRequired,
  noResultsMessage: _propTypes["default"].node.isRequired,
  getInputProps: _propTypes["default"].func.isRequired,
  isSearchable: _propTypes["default"].bool,
  isFetching: _propTypes["default"].bool
};
var _default = EmptyOptions;
exports["default"] = _default;