"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2["default"])(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

var reducer = function reducer(state, _ref) {
  var type = _ref.type;

  switch (type) {
    case 'openNav':
      return _objectSpread(_objectSpread({}, state), {}, {
        openNav: true
      });

    case 'closeNav':
      return _objectSpread(_objectSpread({}, state), {}, {
        openNav: false
      });

    case 'finishLoading':
      return _objectSpread(_objectSpread({}, state), {}, {
        loading: false
      });

    case 'setContainer':
      return _objectSpread(_objectSpread({}, state), {}, {
        container: state.container || document.createElement('div')
      });

    default:
      return state;
  }
};

var _default = reducer;
exports["default"] = _default;