var showError = function showError(_ref, validateOnMount) {
  var error = _ref.error,
      touched = _ref.touched,
      warning = _ref.warning,
      submitError = _ref.submitError;

  if ((touched || validateOnMount) && error) {
    return {
      validated: 'error'
    };
  }

  if ((touched || validateOnMount) && submitError) {
    return {
      validated: 'error'
    };
  }

  if ((touched || validateOnMount) && warning) {
    return {
      validated: 'warning'
    };
  }

  return {
    validated: 'default'
  };
};

export default showError;