"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _checkIcon = _interopRequireDefault(require("@patternfly/react-icons/dist/js/icons/check-icon"));

var Option = function Option(_ref) {
  var item = _ref.item,
      isActive = _ref.isActive,
      isSelected = _ref.isSelected,
      props = (0, _objectWithoutProperties2["default"])(_ref, ["item", "isActive", "isSelected"]);
  return /*#__PURE__*/_react["default"].createElement("li", null, /*#__PURE__*/_react["default"].createElement("button", (0, _extends2["default"])({}, props, {
    disabled: item.isDisabled || item.disabled,
    type: "button",
    className: "pf-c-select__menu-item".concat(isSelected ? ' pf-m-selected' : '').concat(isActive ? ' pf-m-focus' : '').concat(item.isDisabled || item.disabled ? ' pf-m-disabled' : '')
  }), item.label, isSelected && /*#__PURE__*/_react["default"].createElement("span", {
    className: "pf-c-select__menu-item-icon"
  }, /*#__PURE__*/_react["default"].createElement(_checkIcon["default"], null))));
};

Option.propTypes = {
  item: _propTypes["default"].shape({
    label: _propTypes["default"].node,
    isDisabled: _propTypes["default"].bool,
    disabled: _propTypes["default"].bool
  }).isRequired,
  isActive: _propTypes["default"].bool,
  isSelected: _propTypes["default"].bool,
  onClick: _propTypes["default"].func.isRequired
};
var _default = Option;
exports["default"] = _default;