"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _useFormApi = _interopRequireDefault(require("@data-driven-forms/react-form-renderer/use-form-api"));

var _Title = require("@patternfly/react-core/dist/js/components/Title/Title.js");

var _Grid = require("@patternfly/react-core/dist/js/layouts/Grid/Grid.js");

var _GridItem = require("@patternfly/react-core/dist/js/layouts/Grid/GridItem.js");

var _TextContent = require("@patternfly/react-core/dist/js/components/Text/TextContent.js");

var _Text = require("@patternfly/react-core/dist/js/components/Text/Text.js");

var SubForm = function SubForm(_ref) {
  var fields = _ref.fields,
      title = _ref.title,
      description = _ref.description,
      _validate = _ref.validate,
      component = _ref.component,
      rest = (0, _objectWithoutProperties2["default"])(_ref, ["fields", "title", "description", "validate", "component"]);
  var formOptions = (0, _useFormApi["default"])();
  return /*#__PURE__*/_react["default"].createElement(_Grid.Grid, (0, _extends2["default"])({
    hasGutter: true
  }, rest), title && /*#__PURE__*/_react["default"].createElement(_GridItem.GridItem, {
    sm: 12
  }, /*#__PURE__*/_react["default"].createElement(_Title.Title, {
    headingLevel: "h2",
    size: "xl"
  }, title)), description && /*#__PURE__*/_react["default"].createElement(_GridItem.GridItem, {
    sm: 12
  }, /*#__PURE__*/_react["default"].createElement(_TextContent.TextContent, null, /*#__PURE__*/_react["default"].createElement(_Text.Text, {
    component: _Text.TextVariants.small,
    style: {
      marginBottom: 0
    }
  }, description))), formOptions.renderForm(fields, formOptions));
};

SubForm.propTypes = {
  fields: _propTypes["default"].array.isRequired,
  name: _propTypes["default"].string,
  title: _propTypes["default"].node,
  description: _propTypes["default"].node,
  validate: _propTypes["default"].any,
  component: _propTypes["default"].any
};
var _default = SubForm;
exports["default"] = _default;